#ifndef MARS_MHThetaSq
#define MARS_MHThetaSq

#ifndef MARS_MHAlpha
#include "MHAlpha.h"
#endif

class MTaskList;

class MHThetaSq : public MHAlpha
{
private:
    MParameterD  *fThetaSq; //!

    Bool_t      GetParameter(const MParList &pl);
    Double_t    GetVal() const;
    const char *GetParameterRule() const
    {
        return "ThetaSquared.fVal";
    }

    Bool_t SetupFill(const MParList *pl);

public:
    MHThetaSq(const char *name=NULL, const char *title=NULL);

    ClassDef(MHThetaSq, 1) // Theta-Plot which is fitted online
};

#endif
